#language: ru

@TransportLogistics

Функционал: 000. TransportLogistics. Установка функциональных опций

Сценарий: 000.1. TransportLogistics. Установка времени начала блока тестов

	Дано Я подключаюсь под "Администратор"
	Дано Я устанавливаю заголовок "18.TransportLogistics"
	Дано я устанавливаю текущему сеансу заголовок приложения "18.000. Транспортная логистика"
	И Я устанавливаю время начала блока тестов

Сценарий: 000.2. TransportLogistics. Установка функциональных опций

	И Я читаю лицензию "ТранспортнаяЛогистика.xml"
	И флаг "Анализ продаж доступен" равен "Нет"
	И флаг "Анализ сервисов предприятия" равен "Нет"
	И флаг "Маркировка" равен "Нет"
	И флаг "Мобильное приложение" равен "Нет"
	И флаг "Обработка заказов клиента" равен "Да"
	И флаг "Планирование переработки" равен "Нет"
	И флаг "Планирование продаж" равен "Нет"
	И флаг "Планирование разруба" равен "Нет"
	И флаг "Прогнозирование отгрузок" равен "Нет"
	И флаг "Приемка сырья" равен "Нет"
	И флаг "Приемка сырья (молочное)" равен "Нет"
	И флаг "Производство" равен "Нет"
	И флаг "Производство (молочное)" равен "Нет"
	И флаг "Производство (мясное)" равен "Нет"
	И флаг "Складская логистика" равен "Да"
	И флаг "Транспортная логистика" равен "Да"
	И флаг "Трейд-маркетинг" равен "Нет"
	И флаг "Управление продажами" равен "Нет"
	И флаг "Ценообразование" равен "Да"
	И флаг "Интеграция с ГИС Меркурий" равен "Нет"
	И флаг "Управление процессами" равен "Нет"
	И Я закрываю окно 'Лицензирование'

Сценарий: 000.3. TransportLogistics. Создание пользователей

	Когда Я создаю группу доступа "Базовый профиль" с профилем "Базовый профиль"
	* Ведение организаций
		И Я создаю группу доступа "Ведение организаций" с профилем "Ведение организаций"
		И Я создаю пользователя "Ведение организаций" с профилями "Базовый профиль;Ведение организаций"
	* Ведение номенклатуры
		И Я создаю группу доступа "Ведение номенклатуры" с профилем "Ведение номенклатуры"
		И Я создаю пользователя "Ведение номенклатуры" с профилями "Базовый профиль;Ведение номенклатуры"
	* Ведение контрагентов
		И Я создаю группу доступа "Ведение контрагентов" с профилем "Ведение контрагентов"
		И Я создаю пользователя "Ведение контрагентов" с профилями "Базовый профиль;Ведение контрагентов"
	* Ведение НСИ транспортной логистики
		И Я создаю группу доступа "Ведение НСИ транспортной логистики" с профилем "Ведение НСИ транспортной логистики"
		И Я создаю пользователя "Ведение НСИ транспортной логистики" с профилями "Базовый профиль;Ведение НСИ транспортной логистики"
	* Создание заказов клиентов
		И Я создаю группу доступа "Создание заказов клиентов" с профилем "Создание заказов клиентов"
		И Я создаю пользователя "Создание заказов клиентов" с профилями "Базовый профиль;Создание заказов клиентов"
	* Формирование накладных
		И Я создаю группу доступа "Формирование накладных" с профилем "Формирование накладных"
		И Я создаю пользователя "Формирование накладных" с профилями "Базовый профиль;Формирование накладных"
	* Создание планов отгрузки
		И Я создаю группу доступа "Создание планов отгрузки" с профилем "Создание планов отгрузки"
		И Я создаю пользователя "Создание планов отгрузки" с профилями "Базовый профиль;Создание планов отгрузки"
	* Создание заданий на доставку
		И Я создаю группу доступа "Создание заданий на доставку" с профилем "Создание заданий на доставку"
		И Я создаю пользователя "Создание заданий на доставку" с профилями "Базовый профиль;Создание заданий на доставку"
	* Проверка актуализации заданий на доставку
		И Я создаю пользователя "Проверка актуализации заданий на доставку" с профилями "Базовый профиль;Создание планов отгрузки;Создание заданий на доставку"
	* Основной менеджер
		И Я создаю пользователя "Основной менеджер" с профилями "Базовый профиль"
	* Формирование планов отгрузки на самовывоз
		И Я создаю пользователя "Формирование планов отгрузки на самовывоз" с профилями "Базовый профиль;Создание планов отгрузки;Создание заданий на доставку"
	* Создание заказов на перемещение
		И Я создаю группу доступа "Создание заказов на перемещение" с профилем "Создание заказов на перемещение"
		И Я создаю пользователя "Создание заказов на перемещение" с профилями "Базовый профиль;Создание заказов на перемещение"